dnl
dnl Process this file with autoconf in order to generate the configure script
dnl used by clients.
dnl
dnl $Revision: 1.5 $
dnl

AC_PREREQ(2.59)
AC_INIT(fast, 2.2, labri.altarica-bugs@diff.u-bordeaux.fr)
AC_CONFIG_MACRO_DIR([m4])
AM_INIT_AUTOMAKE([foreign])
AC_CONFIG_SRCDIR([src/fast.cpp])
AC_CONFIG_HEADERS([config.h])

AC_PROG_CXX
AC_PROG_YACC
AC_PROG_LEX
AC_PROG_LIBTOOL
AC_PROG_DOXYGEN

AS_IF([test "${exec_prefix}" != "NONE"],
      [eval LDFLAGS=\"'$'LDFLAGS -L${libdir}\"],
      [LDFLAGS="$LDFLAGS -L${prefix}/lib"])

eval CPPFLAGS=\"\$CPPFLAGS -I${includedir}\"

AC_CHECK_PROG([DIJO],[dijo],[dijo],[NONE])
AS_IF([test "${DIJO}" = "NONE"],
      [AC_MSG_ERROR(cannot find 'dijo' program.)],
      [])

dnl 
dnl Update paths according to specified prefix
dnl 
if test "${exec_prefix}" != "NONE"; then
    eval PKG_CONFIG_PATH=\"'$'PKG_CONFIG_PATH:${libdir}/pkgconfig\"
    eval LDFLAGS=\"'$'LDFLAGS -L${libdir}\"
    eval CPPFLAGS=\"'$'CPPFLAGS -I${includedir}\"
else
    PKG_CONFIG_PATH="$PKG_CONFIG_PATH:${prefix}/lib/pkgconfig"
    LDFLAGS="$LDFLAGS -L${prefix}/lib"
    CPPFLAGS="$CPPFLAGS -I${prefix}/include"
fi
export PKG_CONFIG_PATH
AC_MSG_NOTICE([setting PKG_CONFIG_PATH to '${PKG_CONFIG_PATH}'])


PKG_CHECK_MODULES([TAPAS], [libtapas])


dnl AC_CHECK_HEADER([tapas-config.h],[],
dnl                 [AC_MSG_ERROR([cannot find TaPAS header files],1)],
dnl                [])
dnl AC_CHECK_LIB([tapas],[prestaf_init],[],
dnl              [AC_MSG_ERROR([cannot find TaPAS library],1)])

AC_SUBST(GENEPI_PLUGIN_DIR)
GENEPI_PLUGIN_DIR=`dijo -d`

AC_CONFIG_FILES([Makefile \
                 faster.pc \
                 src/Makefile])
AC_OUTPUT


